﻿@model List<DataLayer.Model.Category>
@{
    ViewData["Title"] = "Group";
    Layout = "~/Views/Shared/_AccountLayout.cshtml";
}

<div class="card shadow-sm mt-3">

    <div class="card-header">
        <div class="row">
            <div class="col-6 text-left">دسته بندی</div>
            <div class="col-6 text-right">
                <a class="btn btn-success" asp-controller="Home" asp-action="AddGroup">افزودن دسته بندی</a>
            </div>
        </div>
    </div>
    <div class="card-body">
        <table class="table table-bordered table-hover">
            <thead>
                <tr>
                    <td>دسته بندی</td>
                    <td>زیر دسته بندی</td>
                    <td>عملیات</td>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.Where(c => c.ParentId == null))
                {
                    <tr>
                        <th>@item.Title</th>


                        <th>
                            @if (item.Categories.Any())
                            {
                                <ul>
                                    @foreach (var sub in item.Categories)
                                    {
                                    <li>
                                        @sub.Title
                                                                            <a href="/EditCategory/@sub.CategoryId" class="btn btn-warning btn-sm">ویرایش</a>
                                                                        </li>
                                    }

                                </ul>
                            }
                        </th>
                        <th>
                            <a href="/EditCategory/@item.CategoryId" class="btn btn-warning">ویرایش</a>
                            <a href="/AddGroup/@item.CategoryId" class="btn btn-warning">زیر گروه</a>
                        </th>
                    </tr>
                }

            </tbody>
        </table>
    </div>

</div>

